Subject: a machine-code natural language?

From: [email-masked]
Date: Sat, 14 Jul 2001 23:42:16 -0000

i originally found out about lojban when lojbab replied to a post of 
mine to sci.lang about a binary-coded natural language. basically, i 
was thinking of encoding a natural language much the way computers 
encode program code. that is, there are certain bit fields for 
determining the operation, and for supplying the data to be operated 
on. do you think it would be feasible to encode what english (and 
lojban) attempts to express in a manner similar to machine code? 
lojban is a very good bridge to attempt this--with its parsable text 
and unambiguous nature. but it is meant to be a spoken language, and 
as such a vastly different approach would have to be taken. has 
there been any attempts at this?